| Flutter Linux Embedder |

Public Member Functions | Protected Member Functions | List of all members
flutter::EventSink< T > Class Template Referenceabstract

`#include <event_sink.h>`

## Public Member Functions
| EventSink ()=default
virtual | ~EventSink ()=default
| EventSink (EventSink const &)=delete
EventSink & | operator= (EventSink const &)=delete
void | Success (const T &event)
void | Success ()
void | Error (const std::string &error_code, const std::string &error_message, const T &error_details)
void | Error (const std::string &error_code, const std::string &error_message="")
void | EndOfStream ()

## Protected Member Functions
virtual void | SuccessInternal (const T *event=nullptr)=0
virtual void | ErrorInternal (const std::string &error_code, const std::string &error_message, const T *error_details)=0
virtual void | EndOfStreamInternal ()=0

## Detailed Description

### template<typename T = EncodableValue>
class flutter::EventSink< T >

Definition at line 15 of file event_sink.h.

## Constructor & Destructor Documentation

## ◆ EventSink() [1/2]

template<typename T = EncodableValue>

flutter::EventSink< T >::EventSink | ( |  | ) |
| default

## ◆ ~EventSink()

template<typename T = EncodableValue>

virtual flutter::EventSink< T >::~EventSink | ( |  | ) |
| virtualdefault

## ◆ EventSink() [2/2]

template<typename T = EncodableValue>

flutter::EventSink< T >::EventSink | ( | EventSink< T > const & |  | ) |
| delete

## Member Function Documentation

## ◆ EndOfStream()

template<typename T = EncodableValue>

void flutter::EventSink< T >::EndOfStream | ( |  | ) |
| inline

Definition at line 45 of file event_sink.h.

45 { EndOfStreamInternal(); }

References flutter::EventSink< T >::EndOfStreamInternal().

## ◆ EndOfStreamInternal()

template<typename T = EncodableValue>

virtual void flutter::EventSink< T >::EndOfStreamInternal | ( |  | ) |
| protectedpure virtual

Referenced by flutter::EventSink< T >::EndOfStream().

## ◆ Error() [1/2]

template<typename T = EncodableValue>

void flutter::EventSink< T >::Error | ( | const std::string & | error_code,
|  | const std::string & | error_message,
|  | const T & | error_details
| ) |  |
| inline

Definition at line 31 of file event_sink.h.

33 {
34 ErrorInternal(error_code, error_message, &error_details);
35 }

References flutter::EventSink< T >::ErrorInternal().

## ◆ Error() [2/2]

template<typename T = EncodableValue>

void flutter::EventSink< T >::Error | ( | const std::string & | error_code,
|  | const std::string & | error_message = `""`
| ) |  |
| inline

Definition at line 38 of file event_sink.h.

39 {
40 ErrorInternal(error_code, error_message, nullptr);
41 }

References flutter::EventSink< T >::ErrorInternal().

## ◆ ErrorInternal()

template<typename T = EncodableValue>

virtual void flutter::EventSink< T >::ErrorInternal | ( | const std::string & | error_code,
|  | const std::string & | error_message,
|  | const T * | error_details
| ) |  |
| protectedpure virtual

Referenced by flutter::EventSink< T >::Error().

## ◆ operator=()

template<typename T = EncodableValue>

EventSink& flutter::EventSink< T >::operator= | ( | EventSink< T > const & |  | ) |
| delete

## ◆ Success() [1/2]

template<typename T = EncodableValue>

void flutter::EventSink< T >::Success | ( |  | ) |
| inline

Definition at line 28 of file event_sink.h.

28 { SuccessInternal(nullptr); }

References flutter::EventSink< T >::SuccessInternal().

## ◆ Success() [2/2]

template<typename T = EncodableValue>

void flutter::EventSink< T >::Success | ( | const T & | event | ) |
| inline

Definition at line 25 of file event_sink.h.

25 { SuccessInternal(&event); }

References event, and flutter::EventSink< T >::SuccessInternal().

## ◆ SuccessInternal()

template<typename T = EncodableValue>

virtual void flutter::EventSink< T >::SuccessInternal | ( | const T * | event = `nullptr` | ) |
| protectedpure virtual

Referenced by flutter::EventSink< T >::Success().

The documentation for this class was generated from the following file:

- shell/platform/common/client_wrapper/include/flutter/event_sink.h

event
FlKeyEvent * event
Definition: fl_key_channel_responder.cc:118
flutter::EventSink::ErrorInternal
virtual void ErrorInternal(const std::string &error_code, const std::string &error_message, const T *error_details)=0
flutter::EventSink::SuccessInternal
virtual void SuccessInternal(const T *event=nullptr)=0
flutter::EventSink::EndOfStreamInternal
virtual void EndOfStreamInternal()=0